Subject: Resend of Payroll from 3/5/13
From: "Michael B" <[email-masked]>
To: "Stacy Roberts" <[email-masked]>
Date: Fri, 26 Apr 2013 16:17:55 -0400

Hello Stacy.
For some reason, I do not have the email from the payroll for 3/5/13.   I actually had to look something up today that would have been in that file.  Fortunately  I have the paper copy of the reports from that day so I was able to get some of the information needed.  I may not have to look anything up again but just in case, it would be good if I had that email.  
Thank you,
Michael B
LLPS